package com.ss.android.ugc.aweme.services;

import X.KCq;
import X.KT7;
import com.bytedance.covode.number.Covode;
import com.ss.android.ugc.aweme.shortvideo.model.BusinessGoodsPublishModel;
import java.util.List;

public interface IBusinessGoodsService {
    static {
        Covode.recordClassIndex(105054);
    }

    void clearCache();

    List<KCq> createBridges(KT7 kt7);

    BusinessGoodsPublishModel getCurBusinessDraftModel(String str);

    void removeUserSetting(String str);

    void saveBusinessGoodsInfo(BusinessGoodsPublishModel businessGoodsPublishModel);
}
